### Hierarchy

- unknown
  - SignedWitness

## Index

### Constructors

- constructor

### Methods

- getAccountAgeWitnessHash
- getAccountAgeWitnessHash_asB64
- getAccountAgeWitnessHash_asU8
- getDate
- getSignature
- getSignature_asB64
- getSignature_asU8
- getSignerPubKey
- getSignerPubKey_asB64
- getSignerPubKey_asU8
- getTradeAmount
- getVerificationMethod
- getWitnessOwnerPubKey
- getWitnessOwnerPubKey_asB64
- getWitnessOwnerPubKey_asU8
- serializeBinary
- setAccountAgeWitnessHash
- setDate
- setSignature
- setSignerPubKey
- setTradeAmount
- setVerificationMethod
- setWitnessOwnerPubKey
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SignedWitness(): SignedWitness

- Inherited from jspb.Message.constructor

  #### Returns SignedWitness

## Methods

### getAccountAgeWitnessHash

- getAccountAgeWitnessHash(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3564

  #### Returns string | Uint8Array

### getAccountAgeWitnessHash_asB64

- getAccountAgeWitnessHash_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3566

  #### Returns string

### getAccountAgeWitnessHash_asU8

- getAccountAgeWitnessHash_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3565

  #### Returns Uint8Array

### getDate

- getDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:3584

  #### Returns number

### getSignature

- getSignature(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3569

  #### Returns string | Uint8Array

### getSignature_asB64

- getSignature_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3571

  #### Returns string

### getSignature_asU8

- getSignature_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3570

  #### Returns Uint8Array

### getSignerPubKey

- getSignerPubKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3574

  #### Returns string | Uint8Array

### getSignerPubKey_asB64

- getSignerPubKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3576

  #### Returns string

### getSignerPubKey_asU8

- getSignerPubKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3575

  #### Returns Uint8Array

### getTradeAmount

- getTradeAmount(): number

- - Defined in src/protobuf/pb_pb.d.ts:3587

  #### Returns number

### getVerificationMethod

- getVerificationMethod(): VerificationMethod

- - Defined in src/protobuf/pb_pb.d.ts:3561

  #### Returns VerificationMethod

### getWitnessOwnerPubKey

- getWitnessOwnerPubKey(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3579

  #### Returns string | Uint8Array

### getWitnessOwnerPubKey_asB64

- getWitnessOwnerPubKey_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3581

  #### Returns string

### getWitnessOwnerPubKey_asU8

- getWitnessOwnerPubKey_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3580

  #### Returns Uint8Array

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3590

  #### Returns Uint8Array

### setAccountAgeWitnessHash

- setAccountAgeWitnessHash(value: string | Uint8Array): SignedWitness

- - Defined in src/protobuf/pb_pb.d.ts:3567

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignedWitness

### setDate

- setDate(value: number): SignedWitness

- - Defined in src/protobuf/pb_pb.d.ts:3585

  #### Parameters

  - ##### value: number

  #### Returns SignedWitness

### setSignature

- setSignature(value: string | Uint8Array): SignedWitness

- - Defined in src/protobuf/pb_pb.d.ts:3572

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignedWitness

### setSignerPubKey

- setSignerPubKey(value: string | Uint8Array): SignedWitness

- - Defined in src/protobuf/pb_pb.d.ts:3577

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignedWitness

### setTradeAmount

- setTradeAmount(value: number): SignedWitness

- - Defined in src/protobuf/pb_pb.d.ts:3588

  #### Parameters

  - ##### value: number

  #### Returns SignedWitness

### setVerificationMethod

- setVerificationMethod(value: VerificationMethod ): SignedWitness

- - Defined in src/protobuf/pb_pb.d.ts:3562

  #### Parameters

  - ##### value: VerificationMethod

  #### Returns SignedWitness

### setWitnessOwnerPubKey

- setWitnessOwnerPubKey(value: string | Uint8Array): SignedWitness

- - Defined in src/protobuf/pb_pb.d.ts:3582

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignedWitness

### toObject

- toObject(includeInstance?: boolean): SignedWitness . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3591

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SignedWitness . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignedWitness

- - Defined in src/protobuf/pb_pb.d.ts:3594

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignedWitness

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignedWitness, reader: BinaryReader): SignedWitness

- - Defined in src/protobuf/pb_pb.d.ts:3595

  #### Parameters

  - ##### message: SignedWitness

  - ##### reader: BinaryReader

  #### Returns SignedWitness

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SignedWitness, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:3593

  #### Parameters

  - ##### message: SignedWitness

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SignedWitness ): SignedWitness . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3592

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignedWitness

  #### Returns SignedWitness . AsObject

Generated using TypeDoc